Re: [Nautilus-list] Red Hat Update Agent

Matthew Keller wrote:
> > I think it's at least somewhat related :)
> > I believe it has something to do with incompabilities between rpm 4.0.2
> > (as installed with Nautilus previews) and rpm 4.0 (as shipped with Red
> > Hat 7). up2date (the Red Hat update agent) crashes with a Python (not
> > Perl) error when used on a system with rpm 4.0.2, but I don't know if
> > there's anything to do about it (except waiting for a new up2date
> > release).
>         I have confirmed a) this problem exists only with rpm-python-4.0.2 and
> that b) Naulitus runs fine with rpm-python-4.0 - Forcibly downgrade the
> rpm-python module and this should go away.

I have confirmed that the combination of rpm-4.0.2, rpm-python-4.0, and
up2date does *not* work (at least on my system):

# up2date     
Traceback (innermost last):
  File "/usr/sbin/up2date", line 9, in ?
    import rpm
ImportError: /usr/lib/python1.5/site-packages/ undefined
symbol: rpmSetVerbosity

Did I miss anything?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]